local Node = class('Node', {})

function Node:init(opts)
    for i, n in pairs(opts) do
        self[i] = n
    end
end

function Node:update(dt) end

function Node:beforeEnter() end
function Node:afterEnter() end
function Node:beforeExit() end
function Node:afterExit() end

return Node
